# controllo dell'inventario
Programma VBA per controllare l'inventario del magazzino di una fabbrica

1. Introduzione

Questo programma offre un'interfaccia per l'utente per controllare e visualizzare un database con informazioni dettagliate sull'inventario di un fabbrica, offrendo la possibilità di un uso simultaneo da parte di diversi utenti.

Le sue funzioni principali sono:
- Aggiungere e rimuovere gli elementi dell'inventario
- Registra nuovi articoli
- Modifica elementi esistenti
- Ottieni informazioni su dove viene memorizzato l'articolo
- Controlla articoli mancanti e/o a bassa quantità (pianificazione degli acquisti)
- Genera tag di identificazione
- Molti strumenti di convalida per prevenire gli errori dell'utente

OB: il programma è stato originariamente sviluppato in portoghese e in seguito tutto è stato tradotto e adattato in inglese. Pertanto, il database in questo repository (che contiene elementi immaginari e funge da solo un esempio) ha elementi denominati in portoghese. Per iniziare a utilizzare il programma, è necessario eliminare tutti i contenuti del database, mantenendo solo la sua struttura. Quindi, registra gli articoli desiderati.


2 - Requisiti
- Pacchetto Office installato (Non è richiesto l'installazione di accesso)
- Installazione di font "Codice 39" per la creazione di codici a barre (è disponibile in un file .zip in questo repository)
- La cartella contenente il database "database" (trovato in questo repository) deve trovarsi nello stesso percorso del file principale "Inventario _control_v1.56"

3 - Istruzioni per l'utente

3.1 Panoramica dell'interfaccia

! [Image] (https://user-images.githubusercontent.com/90487618/164818163-38e1bbff-f735-4f7d-bf28-3e7b7d490b5b.png)

- 1 - Il programma è stato sviluppato per schermate quadrate da 17 '', il che significa che questa interfaccia potrebbe non adattarsi perfettamente a seconda dello schermo utilizzato. Ecco perché abbiamo zoom, zoom e pulsanti a schermo intero per rendere il programma regolabile su qualsiasi schermata.

- 2 - Apre laformio per il controllo, la gestione e la modifica dell'inventario.

- 3 - Apri UserForm per la registrazione di nuovi elementi

- 4 - non protegge la cartella di lavoro per la modifica tramite una password, quindi è possibile apportare modifiche alla progettazione, registrazione di nuove password, modifiche nei nomi del database e della sua cartella, ecc. (Password di amministrazione "E1234")



3.2 Ricevuta dell'inventario \ emissione

! [Image] (https://user-images.githubusercontent.com/90487618/164836462-92f15a6a-1656-4099-8aed-df03af8dd6e1.png)


Questa è la forma utente principale del programma. Qui puoi visualizzare, modificare, aggiungere o rimuovere gli elementi.

3.2.1 Alla ricerca di elementi:

I tre pulsanti e i tre combobox offrono diversi modi di filtrare e selezionare gli articoli, spiegheremo ciascuno individualmente:

- Inventario completo: genera un elenco completo con tutti gli elementi registrati (questo pulsante è stato fatto clic per prendere questa stampa)
- Articoli critici: notare che abbiamo i valori Min/Max/Balance. Il saldo è la quantità totale dell'articolo nell'inventario. Min e Max sono valori inseriti al momento della registrazione per ciascun elemento e indicano l'importo ideale che dovrebbe essere immagazzinato. Inoltre, la terza lettera del codice per ciascun elemento indica la sua importanza (A, B o C). Facendo clic sul pulsante Articoli critici, otteniamo un elenco di elementi che sono al di sotto del minimo ideale e hanno un'importanza A o B.
- Articoli mancanti: genera un elenco con elementi in cui Balance = 0, cioè elementi mancanti
- Cerca per descrizione: cerca un elemento specifico per la sua descrizione
- Cerca per applicazione: genera un elenco di elementi dalla categoria scelta.
- Ricerca tramite COD.: Cerca un elemento specifico con il suo codice.

3.2.2 Modifica di un articolo

Dopo aver selezionato un elemento, possiamo fare clic su:
- ricevuta di inventario:

! [Immagine] (https://user-images.githubusercontent.com/90487618/164837645-ddf65d3c-d8f4-46aa-9227-ac8a78df576b.png)

L'utente ha dovuto inserire la quantità per essere inserito nel titolo. Quando si fa clic su OK, il database verrà aggiornato.

- Problema IVentory:

! [Image] (https://user-images.githubusercontent.com/90487618/164837809-DA8DB89E-B45C-451C-B4FC-CAB7FB80E0E02B.PNG)

L'utente ha dovuto inserire la quantità per essere ritirato dallo stock, quando si fa clic su OK, il database verrà aggiornato.

- Modifica elemento

! [Immagine] (https://user-images.githubusercontent.com/90487618/164837988-c2ec29fb-902a-4c80-805e-54b282d9e41f.png)

Aprirà una nuova forma utente con tutte le informazioni correnti dell'elemento, modificandolo e facendo clic su Salva aggiornato il database.

- Adesivo per l'ID di stampa

! [Immagine] (https://user-images.githubusercontent.com/90487618/164838282-8c45f6ff-ef53-4543-886d-96d9c69489d8.png)

Genera una pagina formattata con il tag adesivo pronto per la stampa, come mostrato nell'immagine sopra. Il tag dovrebbe essere utilizzato per identificare gli elementi fisici. Facendo clic sulla freccia è possibile tornare al menu principale.

3.3 Nuovo elemento (menu principale)

! [Image] (https://user-images.githubusercontent.com/90487618/164838530-f0660109-3749-480f-83e0-a0ce5708e11c.png)

Verrà aperta una forma utente per la registrazione di nuovi elementi. Tutte le informazioni devono essere compilate, ad eccezione del codice che verrà generato automaticamente (facendo clic sul pulsante accanto ad esso). Facendo clic sul pulsante Salva, il database verrà aggiornato con le informazioni del nuovo elemento.